<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-457"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20UITextView%28XHXPlaceholder%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: UITextView(XHXPlaceholder)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_text_view_07_x_h_x_placeholder_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> |
<a href="category_u_i_text_view_07_x_h_x_placeholder_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UITextView(XHXPlaceholder)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html">UITextView+XHXPlaceholder.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:abba4b1b9727800363754d42b59b60955"><td class="memItemLeft" align="right" valign="top">NSString *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#abba4b1b9727800363754d42b59b60955">placeHolder</a></td></tr>
<tr class="separator:abba4b1b9727800363754d42b59b60955"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aaf17b4ee4516c45e6b04073a6df23964"><td class="memItemLeft" align="right" valign="top">UILabel *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#aaf17b4ee4516c45e6b04073a6df23964">placeHolderLabel</a></td></tr>
<tr class="separator:aaf17b4ee4516c45e6b04073a6df23964"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a9ac0ae18ae67e725108938f93157da3d"><td class="memItemLeft" align="right" valign="top">UIFont *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#a9ac0ae18ae67e725108938f93157da3d">placeHolderFont</a></td></tr>
<tr class="separator:a9ac0ae18ae67e725108938f93157da3d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0e9bf1b3fb7ec2f1658436902b216a74"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#a0e9bf1b3fb7ec2f1658436902b216a74">placeHolderColor</a></td></tr>
<tr class="separator:a0e9bf1b3fb7ec2f1658436902b216a74"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">属性说明</h2>
<a id="abba4b1b9727800363754d42b59b60955"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abba4b1b9727800363754d42b59b60955">◆&nbsp;</a></span>placeHolder</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (nullable NSString *) placeHolder</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>place holder </p>

</div>
</div>
<a id="a0e9bf1b3fb7ec2f1658436902b216a74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e9bf1b3fb7ec2f1658436902b216a74">◆&nbsp;</a></span>placeHolderColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (nonnull UIColor *) placeHolderColor</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>The color of placeHolder.Default is light gray. Not be null. </p>

</div>
</div>
<a id="a9ac0ae18ae67e725108938f93157da3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ac0ae18ae67e725108938f93157da3d">◆&nbsp;</a></span>placeHolderFont</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (nullable UIFont *) placeHolderFont</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>The font of placeHolder. If null it&#39;s equal to the font of UITextView </p>

</div>
</div>
<a id="aaf17b4ee4516c45e6b04073a6df23964"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf17b4ee4516c45e6b04073a6df23964">◆&nbsp;</a></span>placeHolderLabel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (nullable UILabel *) placeHolderLabel</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">
<p>place holder Label </p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/UI/<a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html">UITextView+XHXPlaceholder.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/UI/<a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html">UITextView+XHXPlaceholder.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_text_view_07_x_h_x_placeholder_08.html">UITextView(XHXPlaceholder)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>